(function ($) {
	var EasyInvoiceCommon = {
		send_email: function (button_el) {
			var _that = this;
			if (button_el.hasClass('disabled')) {
				return;
			}
			button_el.removeClass('error').removeClass('success');
			var form_data = {
				'action': easy_invoice.send_email_action,
				'nonce': easy_invoice.send_email_nonce,
				'invoice_id': easy_invoice.invoice_id
			};
			$.ajax({
				type: "POST",
				url: easy_invoice.ajax_url,
				data: form_data,
				beforeSend: function () {
					button_el.addClass('disabled');
				},
				success: function (response) {
					var status = typeof response.success !== "undefined" ? response.success : false;
					if (status) {
						button_el.removeClass('disabled').addClass('success');
					} else {
						_that.response_template(response);

						button_el.removeClass('disabled').addClass('error');
					}

					setTimeout(() => {
						button_el.removeClass('error').removeClass('success');
					}, 3000)
				},
				complete: function () {
					button_el.removeClass('disabled').addClass('success');

					setTimeout(() => {
						button_el.removeClass('error').removeClass('success');
					}, 3000)
				}
			});
		},
		proceed_to_payment: function (button_el) {
			let _that = this;
			if (button_el.hasClass('disabled')) {
				return;
			}
			this.loading();

			var form_data = {
				'action': easy_invoice.proceed_to_payment_action,
				'nonce': easy_invoice.proceed_to_payment_nonce,
				'invoice_id': easy_invoice.invoice_id
			};
			$.ajax({
				type: "POST",
				url: easy_invoice.ajax_url,
				data: form_data,
				beforeSend: function () {
					button_el.addClass('disabled');
				},
				success: function (response) {

					_that.response_template(response);
					button_el.removeClass('disabled');
				},
				complete: function () {
					_that.remove_loading();
					button_el.removeClass('disabled');
				}
			});
		},
		loading: function () {
			$('body').find('.ei-loading').remove();
			$('body').append('<div class="ei-loading"></div>');
		},
		remove_loading: function () {
			$('body').find('.ei-loading').remove();
		},
		response_template: function (response) {
			$('body').find('.ei-payment-page-main-container').remove();
			$('body').append('<div class="ei-payment-page-main-container">' + response + '</div>');
		},
		remove_response_template: function () {
			$('body').find('.ei-payment-page-main-container').remove();
		},
		payment_form_submit: function (form) {
			var form_data = new FormData(form)
			$.ajax({
				type: "POST",
				url: form.attr('data-action'),
				data: form_data,
				beforeSend: function () {
					form.closest('.ei-payment-page-content').addClass('.ei-before-loading');
				},
				success: function (response) {

					_that.response_template(response);
					form.closest('.ei-payment-page-content').removeClass('.ei-before-loading');
				},
				complete: function () {
					form.closest('.ei-payment-page-content').removeClass('.ei-before-loading');
				}
			});
		}
	};

	$(document).ready(function () {
		window.EasyInvoiceCommon = EasyInvoiceCommon;

	});
}(jQuery));
