<?php

use MatrixAddons\EasyInvoice\Repositories\InvoiceRepository;

if (!function_exists('easy_invoice_show_hide_adjust')) {
	function easy_invoice_show_hide_adjust()
	{
		return get_option('easy_invoice_show_hide_adjust', 'yes') === 'yes';
	}
}
if (!function_exists('easy_invoice_footer_text')) {
	function easy_invoice_footer_text()
	{
		return get_option('easy_invoice_footer_text', 'Thanks for choosing <a href="' . esc_url(site_url()) . '">' . esc_html(get_bloginfo('name')) . '</a> | <a href="mailto:' . esc_attr(get_option('admin_email')) . '">' . esc_html(get_option('admin_email')) . '</a>');
	}
}

if (!function_exists('easy_invoice_terms_conditions')) {
	function easy_invoice_terms_conditions()
	{
		return get_option('easy_invoice_terms_conditions', 'Payment is due within 30 days from the date of invoice');
	}
}

if (!function_exists('easy_invoice_business_address')) {
	function easy_invoice_business_address()
	{
		return get_option('easy_invoice_business_address', 'Your main address
123 Somewhere Street
Your City Address 12345');
	}
}

if (!function_exists('easy_invoice_enable_proceed_to_payment')) {

	function easy_invoice_enable_proceed_to_payment($invoice_id = '')
	{
		$invoice_id = $invoice_id === '' ? get_the_ID() : absint($invoice_id);

		$invoice = new InvoiceRepository($invoice_id);

		if (in_array($invoice->get_invoice_status(), array('paid', 'cancelled'))) {

			return false;
		}
		return get_option('easy_invoice_enable_proceed_to_payment', 'yes') === 'yes';
	}
}

if (!function_exists('easy_invoice_proceed_to_payment_button_link')) {
	function easy_invoice_proceed_to_payment_button_link()
	{
		return get_option('easy_invoice_proceed_to_payment_button_link', '#');
	}
}
