<?php

namespace MatrixAddons\EasyInvoice\Hooks;

class InvoiceTemplate
{

	public function __construct()
	{

		add_action('easy_invoice_before_container', array($this, 'top_bar'));

		add_action('easy_invoice_top_bar_buttons', array($this, 'buttons'), 100);

		add_action('easy_invoice_content', array($this, 'header'), 15);

		add_action('easy_invoice_content', array($this, 'after_header'), 20);

		add_action('easy_invoice_content', array($this, 'before_items_1'), 25);

		add_action('easy_invoice_content', array($this, 'before_items_2'), 30);

		add_action('easy_invoice_content', array($this, 'before_items_3'), 35);

		add_action('easy_invoice_content', array($this, 'items'), 40);

		add_action('easy_invoice_content', array($this, 'after_items'), 45);

		add_action('easy_invoice_content', array($this, 'before_footer'), 50);

		add_action('easy_invoice_content', array($this, 'footer'), 55);

		add_action('easy_invoice_footer', array($this, 'payment_popup'));


	}

	public function top_bar()
	{
		easy_invoice_load_template('parts.top-bar');
	}

	public function buttons()
	{
		easy_invoice_load_template('parts.top-bar-buttons');
	}

	public function header()
	{
		easy_invoice_load_template('parts.header');
	}

	public function after_header()
	{
		echo '<div class="easy-invoice-content-area">';
	}

	public function before_items_1()
	{
		easy_invoice_load_template('parts.before-items-1');
	}

	public function before_items_2()
	{
		easy_invoice_load_template('parts.before-items-2');
	}

	public function before_items_3()
	{
		easy_invoice_load_template('parts.before-items-3');
	}

	public function items()
	{
		easy_invoice_load_template('parts.items');
	}

	public function after_items()
	{
		easy_invoice_load_template('parts.after-items');
	}

	public function before_footer()
	{
		echo '</div><!-- .easy-invoice-content-area-->';
	}

	public function footer()
	{

		easy_invoice_load_template('parts.footer');
	}

	public function payment_popup()
	{
		global $easy_invoice_error;

		$error = '';

		if (!is_wp_error($easy_invoice_error)) {
			return;
		}

		$error = $easy_invoice_error->get_error_message();

		echo '<div class="ei-payment-page-main-container">';

		easy_invoice_load_template('parts.payment-page', array('invoice_id' => get_the_ID(), 'error' => $error));

		echo '</div>';
	}

}
